org.apache.sling.resource.inventory.impl

## Class JsonObjectCreator

- java.lang.Object
- - org.apache.sling.resource.inventory.impl.JsonObjectCreator

    public abstract class JsonObjectCreator
    extends Object

Creates a JSONObject from a resource

### Constructor Summary

Constructors
Constructor and Description
`JsonObjectCreator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static javax.json.JsonObjectBuilder` `create(org.apache.sling.api.resource.Resource resource)` Dump given resource in JSON, optionally recursing into its objects

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonObjectCreator

    public JsonObjectCreator()

### Method Detail

#### create

    public static javax.json.JsonObjectBuilder create(org.apache.sling.api.resource.Resource resource)

Dump given resource in JSON, optionally recursing into its objects